com.collabnet.ce.soap60.webservices.planning

## Class PlanningFolder2SoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
  - - com.collabnet.ce.soap60.webservices.planning.PlanningFolder2SoapRow

-     public class PlanningFolder2SoapRow
      extends FolderSoapRow

  A list of PlanningFolder is represented by PlanningFolder2SoapList class. Each row within a PlanningFolder list is represented by the PlanningFolder2SoapRow class.
  Change History
  Release: 6.1
  - Added status, statusClass, capacity, releaseTitle and releaseId fields.
  Release: 6.2
  - Added tracker unit.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanningFolder2SoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCapacity()` Returns 'capacity'.
    `Date` | `getEndDate()` Returns 'endDate'.
    `String` | `getReleaseId()` Returns 'releaseId'.
    `String` | `getReleaseTitle()` Returns 'releaseTitle'.
    `Date` | `getStartDate()` Returns 'startDate'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getStatusClass()` Returns 'statusClass'.
    `String` | `getTrackerUnitId()` Returns 'trackerUnitId'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCapacity(int capacity)` Sets 'capacity'.
    `void` | `setEndDate(Date endDate)` Sets 'endDate'.
    `void` | `setReleaseId(String releaseId)` Sets 'releaseId'.
    `void` | `setReleaseTitle(String releaseTitle)` Sets 'releaseTitle'.
    `void` | `setStartDate(Date startDate)` Sets 'startDate'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setStatusClass(String statusClass)` Sets 'statusClass'.
    `void` | `setTrackerUnitId(String trackerUnitId)` Sets 'trackerUnitId'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

      `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanningFolder2SoapRow

          public PlanningFolder2SoapRow()

  - ### Method Detail

    - #### getStartDate

          public Date getStartDate()

      Returns 'startDate'. PlanningFolder start date
      Returns:
        Value of 'startDate'.

    - #### setStartDate

          public void setStartDate(Date startDate)

      Sets 'startDate'. PlanningFolder start date
      Parameters:
        `startDate` - Value of 'startDate'.

    - #### getEndDate

          public Date getEndDate()

      Returns 'endDate'. PlanningFolder end date
      Returns:
        Value of 'endDate'.

    - #### setEndDate

          public void setEndDate(Date endDate)

      Sets 'endDate'. PlanningFolder end date
      Parameters:
        `endDate` - Value of 'endDate'.

    - #### getStatus

          public String getStatus()

      Returns 'status'.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'.
      Parameters:
        `status` - Value of 'status'.

    - #### getStatusClass

          public String getStatusClass()

      Returns 'statusClass'.
      Returns:
        Value of 'statusClass'.

    - #### setStatusClass

          public void setStatusClass(String statusClass)

      Sets 'statusClass'.
      Parameters:
        `statusClass` - Value of 'statusClass'.

    - #### getCapacity

          public int getCapacity()

      Returns 'capacity'.
      Returns:
        Value of 'capacity'.

    - #### setCapacity

          public void setCapacity(int capacity)

      Sets 'capacity'.
      Parameters:
        `capacity` - Value of 'capacity'.

    - #### getReleaseTitle

          public String getReleaseTitle()

      Returns 'releaseTitle'.
      Returns:
        Value of 'releaseTitle'.

    - #### setReleaseTitle

          public void setReleaseTitle(String releaseTitle)

      Sets 'releaseTitle'.
      Parameters:
        `releaseTitle` - Value of 'releaseTitle'.

    - #### getReleaseId

          public String getReleaseId()

      Returns 'releaseId'.
      Returns:
        Value of 'releaseId'.

    - #### setReleaseId

          public void setReleaseId(String releaseId)

      Sets 'releaseId'.
      Parameters:
        `releaseId` - Value of 'releaseId'.

    - #### getTrackerUnitId

          public String getTrackerUnitId()

      Returns 'trackerUnitId'.
      Returns:
        Value of 'trackerUnitId'.

    - #### setTrackerUnitId

          public void setTrackerUnitId(String trackerUnitId)

      Sets 'trackerUnitId'.
      Parameters:
        `trackerUnitId` - Value of 'trackerUnitId'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.